Add a device to a user
Path parameters
userIdstringRequired
The id of the user
deviceIdstringRequired
The id of the device to add.
Header parameters
Brand-URLstringRequiredExample:
The brand URL of the request. This is used to identify the brand.
YOUR_BRAND_URLAuth-KeystringRequiredExample:
Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.
YOUR_AUTH_KEYBody
This class provides the add a device to a user.
tokenstring · nullableOptional
The token of the device data. This token is used when push notification for the device.
sessionstring · nullableOptional
The session of the device data and related with user.
tagsstring · nullableOptional
The tags of the device.
userDeviceStatusstring · enumOptionalPossible values:
Device status enum.
Responses
201
The request was successful.
application/json
401
The user is not authorized to access the requested resource. The request is missing the required Auth-Key header.
application/json
404
The user was not found in the system.
application/json
409
The device has already been added for this user.
application/json
429
API call exceeded rate limit due to too many requests.
application/json
post
/api/v1/users/{userId}/devices/{deviceId}Last updated